/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>All Variables</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.AllVariables#getAll <em>All</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getAllVariables()
 * @model
 * @generated
 */
public interface AllVariables extends Predictions
{
  /**
   * Returns the value of the '<em><b>All</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>All</em>' attribute.
   * @see #setAll(String)
   * @see fr.istic.mML.MMLPackage#getAllVariables_All()
   * @model
   * @generated
   */
  String getAll();

  /**
   * Sets the value of the '{@link fr.istic.mML.AllVariables#getAll <em>All</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>All</em>' attribute.
   * @see #getAll()
   * @generated
   */
  void setAll(String value);

} // AllVariables
